Uploaded image for project: 'Couchbase Kubernetes'
  1. Couchbase Kubernetes
  2. K8S-67

Support IPv6 Couchbase deployments

    XMLWordPrintable

Details

    Description

      Note that IPv6 is an alpha feature in Kuberentes 1.9. We will need to wait until the feature is GA before supporting it.

      Attachments

        Issue Links

          No reviews matched the request. Check your Options in the drop-down menu of this sections header.

          Activity

            Prateek Kumar pls close this out along with the ipv6 testing ticket for 2.3

            arunkumar Arunkumar Senthilnathan added a comment - Prateek Kumar pls close this out along with the ipv6 testing ticket for 2.3

            QE is done testing IPv6 with Operator 2.3 - enabling it to run on jenkins will be done later

            arunkumar Arunkumar Senthilnathan added a comment - QE is done testing IPv6 with Operator 2.3 - enabling it to run on jenkins will be done later

            Anil Kumar this can be closed if documentation is sorted out

            arunkumar Arunkumar Senthilnathan added a comment - Anil Kumar this can be closed if documentation is sorted out

            Verified by QE - jenkins jobs created to run on a per release basis

            arunkumar Arunkumar Senthilnathan added a comment - Verified by QE - jenkins jobs created to run on a per release basis

            Now that IPv6 support is fixed in 2.3 and 2.3 is also released, seeking clarity on 2 points:

            (a) Is IPv6 fully supported and at all places? for e.g. until 2.2.x, IPv6 address was not parseable while configuring XDCR. Should this work with 2.3?

            (b) Is IPv6 supported for k8s-dual-stack as well for k8s-IPv6-only?

             

            Thanks

            purav.chovatia Purav Chovatia added a comment - Now that IPv6 support is fixed in 2.3 and 2.3 is also released, seeking clarity on 2 points: (a) Is IPv6 fully supported and at all places? for e.g. until 2.2.x, IPv6 address was not parseable while configuring XDCR. Should this work with 2.3? (b) Is IPv6 supported for k8s-dual-stack as well for k8s-IPv6-only?   Thanks

            People

              anil Anil Kumar
              mikew Mike Wiederhold [X] (Inactive)
              Votes:
              1 Vote for this issue
              Watchers:
              6 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved:

                Gerrit Reviews

                  There are no open Gerrit changes

                  PagerDuty